Skip to main content
`Ctrl`+`K`

# PetscSqr

Returns the square of a number

## Synopsis

    #include <petscmath.h>
    type sqr PetscSqr(type v1)

Not Collective

## Input Parameter

- v1 - the value

## Note

The type can be integer, floating point, or complex floating point

## See Also

`PetscMax()`, `PetscMin()`, `PetscAbsInt()`, `PetscAbsReal()`

## Level

beginner

## Location

include/petscmath.h

## Examples

src/snes/tutorials/ex5.c
src/snes/tutorials/ex12.c
src/snes/tutorials/ex75.c
src/ts/tutorials/ex10.c
src/snes/tutorials/ex15.c
src/snes/tutorials/ex55.c
src/ts/tutorials/ex14.c
src/dm/impls/swarm/tutorials/ex1.c
src/snes/tutorials/ex34.c
src/ts/tutorials/ex9.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages